#!/usr/bin/env python3
from test_a1 import get_data
import matplotlib.pyplot as plt
import numpy as np
import sys

fig = plt.figure()
ax = fig.add_subplot(projection='3d')

# get data
X = np.arange(-2, 2, 0.1)
print(X)
Y = np.arange(-2, 2, 0.1)
X, Y = np.meshgrid(X, Y)
M = get_data(-2, 2, 0.1)

# plot surface and set equal aspect ratio       
ax.plot_surface(X, Y, M)

# visual specifications
ax.set_zlim([-0.2, 0.2])
ax.set_xlabel("x")
ax.set_ylabel("y")
ax.set_zlabel("M[i,j]")
ax.xaxis.label.set_color('blue')
ax.yaxis.label.set_color('blue')
ax.zaxis.label.set_color('blue')

# add caption
txt="The matrix indices (i, j) will move along the values of (x, y), but they are not the same thing! (e.g. x=-2 at i=0 and x=-1.9 at i=1)"
plt.figtext(0.5, 0.01, txt, wrap=True, horizontalalignment='center')
plt.show()

if len(sys.argv) > 1:
    fig.savefig(sys.argv[1], format='svg', dpi=300)
